View Issue Details

IDProjectCategoryView StatusLast Update
0012491ScribusUndo/Redopublic2020-12-09 17:09
ReporterFirasH Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.5Fixed in Version1.5.7.svn 
Summary0012491: Undo/Redo does not restore Group of Groups
DescriptionUndo/Redo does not restore Group of Groups.
Steps To Reproduce0) Create a new document and make sure Windows > Outline/Action History are opened
1) Insert 4 items (example: Text Frames)
2) Group the items in 2 Groups (2 items per Group)
3) Group the 2 Groups in one
(Outline: Group3 > Group2/Group1)

4) Undo to Initial State
5) Redo all actions
The Group of 2 Groups is not restored.
Additional InformationIssue present on:
Scribus 1.4.5.svn (19313)
Scribus 1.5.0.svn (19314)
TagsNo tags attached.
Patch

Relationships

related to 0012351 closedjghali Redo does not restore actions applied after grouping items 
related to 0012012 confirmed Undo behaves wrong with more items as a Group 
related to 0012203 confirmed Undo cannot restore the position of a group of items ungrouped in a PDF file 
related to 0016350 resolvedjghali Undo of ungrouped grouped object crashes Scribus 
child of 0012500 acknowledged Metabug: Undo/Redo (1.5.x.svn) 
child of 0003812 acknowledged Metabug: Grouped objects 

Activities

Kunda

2014-07-07 13:33

updater   ~0032541

Reproduced on 1.5svn r19322.
Nice catch!

jghali

2020-11-24 18:45

administrator   ~0048486

Fixed together with issue 0016350.

FirasH

2020-12-09 17:09

developer   ~0048542

Fix confirmed in 1.5.7.svn

Issue History

Date Modified Username Field Change
2014-07-07 12:12 FirasH New Issue
2014-07-07 12:14 FirasH Relationship added related to 0012351
2014-07-07 12:14 FirasH Relationship added related to 0012012
2014-07-07 12:15 FirasH Relationship added related to 0012203
2014-07-07 13:33 Kunda Note Added: 0032541
2014-07-07 13:33 Kunda Status new => confirmed
2014-07-07 13:33 Kunda Target Version => 1.5.1
2014-07-09 01:31 FirasH Relationship added child of 0012500
2015-11-29 13:56 Kunda Target Version 1.5.1 => 1.5.2
2016-01-23 17:14 cbradney Target Version 1.5.2 => 1.5.3
2016-01-23 17:15 cbradney Target Version 1.5.3 => 1.5.4.svn
2016-03-31 16:09 Kunda Relationship added child of 0003423
2016-03-31 16:10 Kunda Relationship deleted child of 0003423
2016-03-31 16:10 Kunda Relationship added child of 0003812
2016-05-15 23:02 Kunda Target Version 1.5.4.svn => 1.5.5
2020-11-24 18:45 jghali Assigned To => jghali
2020-11-24 18:45 jghali Status confirmed => resolved
2020-11-24 18:45 jghali Resolution open => fixed
2020-11-24 18:45 jghali Fixed in Version => 1.5.7.svn
2020-11-24 18:45 jghali Note Added: 0048486
2020-11-24 18:48 jghali Relationship added related to 0016350
2020-12-09 17:09 FirasH Status resolved => closed
2020-12-09 17:09 FirasH Note Added: 0048542